{ config, lib, ... }:

{
  system.activationScripts.gemini = ''
    mkdir -p ${config.services.molly-brown.docBase}/users/
  '' + lib.strings.concatStrings (lib.attrsets.mapAttrsToList (name:
    { isNormalUser, home, ... }:
    lib.strings.optionalString (isNormalUser && home != null) ''
      ln -sf ${home}/public_gemini ${config.services.molly-brown.docBase}/users/${name}
    '') config.users.users);

  users.users = lib.attrsets.mapAttrs (name:
    { sshKeys, ... }: {
      createHome = true;
      isNormalUser = true;
      openssh.authorizedKeys.keys = sshKeys;
    }) config.c3d2.users;
}
